---
title: KeyboardLayoutMap.keys
slug: Web/API/KeyboardLayoutMap/keys
tags:
  - API
  - Experimental
  - Keyboard API
  - Keyboard Map
  - KeyboardLayoutMap
  - Property
  - Reference
  - keyboard
  - keys
---
<div>{{SeeCompatTable}}{{APIRef("Keyboard API")}}</div>

<p><span class="seoSummary">The <strong><code>keys</code></strong> read-only property of the {{domxref("KeyboardLayoutMap")}} interface returns a new </span>Array Iterator<span class="seoSummary"> object that contains the keys for each index in the array. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>iterator</var> = KeyboardLayoutMap.keys</pre>

<h3 id="Value">Value</h3>

<p>An iterator.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Map','#keyboardlayoutmap-interface','keys')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardLayoutMap.keys")}}</p>
